Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Groovy] Class HibernateNamedQueriesBuilder

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.HibernateNamedQueriesBuilder

    class HibernateNamedQueriesBuilder
    extends java.lang.Object

A builder that implements the ORM named queries DSL.

Authors:
  Jeff Brown

Constructor Summary
`HibernateNamedQueriesBuilder(java.lang.Object domainClass, java.util.List finders)` @param domainClass the GrailsDomainClass defining the named queries

Method Summary
`java.lang.Object` | `evaluate(groovy.lang.Closure namedQueriesClosure)`
`java.lang.Object` | `methodMissing(java.lang.String name, java.lang.Object args)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### HibernateNamedQueriesBuilder

    HibernateNamedQueriesBuilder(java.lang.Object domainClass, java.util.List finders)

  Parameters:
    `domainClass` - the GrailsDomainClass defining the named queries
    `finders` - dynamic finders

Method Detail

### evaluate

    java.lang.Object evaluate(groovy.lang.Closure namedQueriesClosure)

### methodMissing

    java.lang.Object methodMissing(java.lang.String name, java.lang.Object args)

Groovy Documentation